/*
   $Id: gordan00.h,v 1.1.1.1 2003/09/15 16:37:59 nthiery Exp $
   Name:	gordan00.h
   Purpose:	MuPAD dynamic module for computing plethysms (C header)
   Author:	Christophe Carre <Christophe.Carre@dir.univ-rouen.fr>
   Created:	2001/03
   Copyright:	LGPL
*/

#include <stdio.h>
#include <limits.h>
#define signed

typedef unsigned int UENT;

struct list{
        UENT* tab;
        long int cof;
        struct list *next;
};

struct listdble{
        UENT* tab;
        long int cof;
        struct listdble *next;
        struct listdble *prev;
};


extern int snsm(UENT , UENT ,struct list **);
extern int lnsm(UENT , UENT ,struct list **);
extern int lnlm(UENT , UENT ,struct list **);
extern int snlm(UENT , UENT ,struct list **);
extern int snsm_part(UENT , UENT , UENT, struct list **);
extern int lnsm_part(UENT , UENT , UENT, struct list **);
extern int snlm_part(UENT , UENT , UENT, struct listdble **);
extern int lnlm_part(UENT , UENT , UENT, struct listdble **);
extern int lnlm_lim(UENT , UENT , UENT, struct list **);
extern int snlm_lim(UENT , UENT , UENT, struct list **);
extern int lnsm_lim(UENT , UENT , UENT, struct listdble **);
extern int snsm_lim(UENT , UENT , UENT, struct listdble **);
